Loading...
Searching...
No Matches
_ftsent Struct Reference
Collaboration diagram for _ftsent:
[legend]

## Data Fields

struct _ftsent * | fts_cycle
struct _ftsent * | fts_parent
struct _ftsent * | fts_link
long | fts_number
void * | fts_pointer
char * | fts_accpath
char * | fts_path
int | fts_errno
int | fts_symfd
u_short | fts_pathlen
u_short | fts_namelen
ino_t | fts_ino
dev_t | fts_dev
nlink_t | fts_nlink
short | fts_level
u_short | fts_info
u_short | fts_flags
u_short | fts_instr
struct stat * | fts_statp
char | fts_name [1]

## Field Documentation

## fts_accpath

char* _ftsent::fts_accpath

access path

## fts_cycle

struct _ftsent* _ftsent::fts_cycle

cycle node

## fts_dev

dev_t _ftsent::fts_dev

device

## fts_errno

int _ftsent::fts_errno

errno for this node

## fts_flags

u_short _ftsent::fts_flags

private flags for FTSENT structure

## fts_info

u_short _ftsent::fts_info

user flags for FTSENT structure

## fts_ino

ino_t _ftsent::fts_ino

inode

## fts_instr

u_short _ftsent::fts_instr

fts_set() instructions

## fts_level

short _ftsent::fts_level

depth (-1 to N)

## fts_link

struct _ftsent* _ftsent::fts_link

next file in directory

## fts_name

char _ftsent::fts_name[1]

file name

## fts_namelen

u_short _ftsent::fts_namelen

strlen(fts_name)

## fts_nlink

nlink_t _ftsent::fts_nlink

link count

## fts_number

long _ftsent::fts_number

local numeric value

## fts_parent

struct _ftsent* _ftsent::fts_parent

parent directory

## fts_path

char* _ftsent::fts_path

root path

## fts_pathlen

u_short _ftsent::fts_pathlen

strlen(fts_path)

## fts_pointer

void* _ftsent::fts_pointer

local address value

## fts_statp

struct stat* _ftsent::fts_statp

stat(2) information

## fts_symfd

int _ftsent::fts_symfd

fd for symlink

The documentation for this struct was generated from the following file:

- fts_sun.h